Freeciv-3.3: /fast/freeciv/nightly/main/utility/fcthread.h File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Functions
fcthread.h File Reference
`#include "freeciv_config.h"`
`#include "support.h"`

Go to the source code of this file.

## Functions

int | fc_thread_start (fc_thread *thread, void(*function)(void *arg), void *arg)
void | fc_thread_wait (fc_thread *thread)
void | fc_mutex_init (fc_mutex *mutex)
void | fc_mutex_destroy (fc_mutex *mutex)
void | fc_mutex_allocate (fc_mutex *mutex)
void | fc_mutex_release (fc_mutex *mutex)
void | fc_thread_cond_init (fc_thread_cond *cond)
void | fc_thread_cond_destroy (fc_thread_cond *cond)
void | fc_thread_cond_wait (fc_thread_cond *cond, fc_mutex *mutex)
void | fc_thread_cond_signal (fc_thread_cond *cond)
bool | has_thread_cond_impl (void)

## Function Documentation

## ◆ fc_mutex_allocate()

void fc_mutex_allocate | ( | fc_mutex * | mutex | ) |

Referenced by astr_vadd_at(), begin_lanserver_scan(), check_server_scan(), fc_client::check_server_scan(), create_city(), fc_allocate_ow_mutex(), fc_localtime(), fc_strcasecmp(), fc_strlcpy(), fc_strncasecmp(), fc_vsnprintf(), genlist_allocate_mutex(), get_lan_server_list(), log_real(), network_list_callback(), popup_connection_dialog(), remove_city(), server_scan_finish(), server_scan_poll(), fc_client::slot_selection_changed(), texai_check_messages(), texai_msg_to_thr(), and texai_thread_start().

## ◆ fc_mutex_destroy()

void fc_mutex_destroy | ( | fc_mutex * | mutex | ) |

Referenced by fc_astr_free(), fc_destroy_ow_mutex(), fc_strAPI_free(), fc_support_free(), genlist_destroy(), log_close(), server_quit(), server_scan_finish(), and texai_control_lost().

## ◆ fc_mutex_init()

void fc_mutex_init | ( | fc_mutex * | mutex | ) |

Referenced by fc_astr_init(), fc_init_ow_mutex(), fc_strAPI_init(), fc_support_init(), genlist_new_full(), log_init(), server_scan_begin(), srv_init(), and texai_control_gained().

## ◆ fc_mutex_release()

void fc_mutex_release | ( | fc_mutex * | mutex | ) |

Referenced by astr_vadd_at(), begin_lanserver_scan(), check_server_scan(), fc_client::check_server_scan(), create_city(), fc_localtime(), fc_release_ow_mutex(), fc_strcasecmp(), fc_strlcpy(), fc_strncasecmp(), fc_vsnprintf(), genlist_release_mutex(), get_lan_server_list(), log_real(), network_list_callback(), popup_connection_dialog(), remove_city(), server_scan_finish(), server_scan_poll(), fc_client::slot_selection_changed(), texai_check_messages(), texai_msg_to_thr(), and texai_thread_start().

## ◆ fc_thread_cond_destroy()

void fc_thread_cond_destroy | ( | fc_thread_cond * | cond | ) |

Dummy fc_thread_cond_destroy()

Definition at line 385 of file fcthread.c.

Referenced by texai_control_lost().

## ◆ fc_thread_cond_init()

void fc_thread_cond_init | ( | fc_thread_cond * | cond | ) |

Dummy fc_thread_cond_init()

Definition at line 379 of file fcthread.c.

Referenced by texai_control_gained().

## ◆ fc_thread_cond_signal()

void fc_thread_cond_signal | ( | fc_thread_cond * | cond | ) |

Dummy fc_thread_cond_signal()

Definition at line 397 of file fcthread.c.

Referenced by texai_msg_to_thr().

## ◆ fc_thread_cond_wait()

void fc_thread_cond_wait | ( | fc_thread_cond * | cond,
|  | fc_mutex * | mutex
| ) |  |

Dummy fc_thread_cond_wait()

Definition at line 391 of file fcthread.c.

Referenced by texai_thread_start().

## ◆ fc_thread_start()

int fc_thread_start | ( | fc_thread * | thread,
|  | void(*)(void *arg) | function,
|  | void * | arg
| ) |  |

Referenced by save_game(), server_scan_begin(), and texai_control_gained().

## ◆ fc_thread_wait()

void fc_thread_wait | ( | fc_thread * | thread | ) |

Referenced by save_game(), save_system_close(), send_server_info_to_metaserver(), server_scan_finish(), and texai_control_lost().

## ◆ has_thread_cond_impl()

bool has_thread_cond_impl | ( | void |  | ) |

Has freeciv thread condition variable implementation

Definition at line 405 of file fcthread.c.

Referenced by fc_ai_tex_setup().